Bug 842852 - Unnecessary Natilus dependencies
Unnecessary Natilus dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sparkleshare (Show other bugs)
17
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Nikos Roussos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 14:05 EDT by Vinzenz Vietzke
Modified: 2012-10-31 09:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-31 09:23:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinzenz Vietzke 2012-07-24 14:05:09 EDT
I'd like to use Sparkleshare with XFCE but dependecies force me to install Nautilus, which pulls a lot of unnecessary/unwanted stuff. It would be good to have the Nautilus dependecies optional.
Comment 1 Nikos Roussos 2012-10-10 11:49:20 EDT
How to you suggest to do that, without breaking user experience for Gnome users? Afaik yum doesn't support optional dependencies.
Comment 2 Vinzenz Vietzke 2012-10-10 11:53:43 EDT
On Gnome, Nautilus is already installed. So if Gnome users install Sparkleshare, they won't notice a difference.

I built Sparkleshare with your SPEC but left out all Nautilus stuff. It runs flawless on my F17-x86_64 with Xfce: http://pastebin.com/MgEiAbbV
Comment 3 Nikos Roussos 2012-10-10 13:12:32 EDT
But the dependency is not nautilus explicitly, but nautilus python binndings in order for sparkleshare to integrate with nautilous.
Comment 4 Vinzenz Vietzke 2012-10-10 13:48:45 EDT
(In reply to comment #3)
> But the dependency is not nautilus explicitly, but nautilus python binndings
> in order for sparkleshare to integrate with nautilous.

I just tried my non-nautilus package inside a f17-gnome vm and everything went well. Maybe you can test it out, too?
http://repo.vinzv.de/repo/Fedora/17/x86_64/sparkleshare-0.9.3-1.fc17.x86_64.rpm
Comment 5 Nikos Roussos 2012-10-10 13:56:41 EDT
Thanks. I'll test it and get back to you
Comment 6 Nikos Roussos 2012-10-13 10:21:07 EDT
Well, it seems that without nautilus-python you loose the sparkleshare file operations from right click context menu.
Comment 7 Vinzenz Vietzke 2012-10-19 19:18:49 EDT
New version of Sparkleshare is ready:
https://github.com/hbons/SparkleShare/blob/master/News.txt

Will package it within the next days and test with Nautilus.
Comment 8 Nikos Roussos 2012-10-20 07:42:46 EDT
The newer version of sparkleshare has removed nautilus dependencies.
Comment 9 Fedora Update System 2012-10-20 07:43:42 EDT
sparkleshare-0.9.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sparkleshare-0.9.4-1.fc16
Comment 10 Fedora Update System 2012-10-20 07:59:22 EDT
sparkleshare-0.9.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sparkleshare-0.9.4-1.fc17
Comment 11 Fedora Update System 2012-10-20 08:23:50 EDT
sparkleshare-0.9.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sparkleshare-0.9.4-1.fc18
Comment 12 Fedora Update System 2012-10-21 01:58:20 EDT
Package sparkleshare-0.9.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sparkleshare-0.9.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16545/sparkleshare-0.9.4-1.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.